Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Help with OSGI(Failure to run OSGi Framework configuration)
Help with OSGI [message #954024] Mon, 22 October 2012 18:29
Aaron Stromas is currently offline Aaron StromasFriend
Messages: 3
Registered: January 2012
Junior Member
Greetings,

I'm trying to learn writing OSGI components (bundles) using the Spring ToolSuit 3.1.0. I've created a new workspace, added the necessary bundles to it, created a simple bundle and attempted to run an OSGi Framework configuration. And got a nasty console output that I don't understand. Please help me figure it out.


osgi> !SESSION 2012-10-22 14:07:29.540 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_31
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Command-line arguments:  -dev file:C:/Users/StromA/workspace/.metadata/.plugins/org.eclipse.pde.core/Test/dev.properties -os win32 -ws win32 -arch x86_64 -consoleLog -console

!ENTRY org.eclipse.equinox.common 4 0 2012-10-22 14:07:30.073
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.equinox.log; version="[1.0.0,2.0.0)"
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:294)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)

!ENTRY org.eclipse.osgi.services 4 0 2012-10-22 14:07:30.076
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: org.osgi.framework; version="1.6.0"
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:294)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)

!ENTRY org.apache.felix.gogo.runtime 4 0 2012-10-22 14:07:30.088
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: The activator org.apache.felix.gogo.runtime.activator.Activator for bundle org.apache.felix.gogo.runtime is invalid
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:141)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:962)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)
Caused by: java.lang.ClassCastException: org.apache.felix.gogo.runtime.activator.Activator cannot be cast to org.osgi.framework.BundleActivator
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:136)
	... 10 more
Root exception:
java.lang.ClassCastException: org.apache.felix.gogo.runtime.activator.Activator cannot be cast to org.osgi.framework.BundleActivator
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:136)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:962)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)

!ENTRY org.springframework.osgi.extender 4 0 2012-10-22 14:07:30.126
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: The activator org.springframework.osgi.extender.internal.activator.ContextLoaderListener for bundle org.springframework.osgi.extender is invalid
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:141)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:962)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)
Caused by: java.lang.ClassCastException: org.springframework.osgi.extender.internal.activator.ContextLoaderListener cannot be cast to org.osgi.framework.BundleActivator
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:136)
	... 10 more
Root exception:
java.lang.ClassCastException: org.springframework.osgi.extender.internal.activator.ContextLoaderListener cannot be cast to org.osgi.framework.BundleActivator
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:136)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:962)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)

!ENTRY org.apache.felix.gogo.command 4 0 2012-10-22 14:07:30.128
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: org.osgi.framework; version="1.5.0"
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:294)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)

!ENTRY com.rsa.ams.firstbundle 4 0 2012-10-22 14:07:30.133
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: The activator com.rsa.ams.firstbundle.Activator for bundle com.rsa.ams.firstbundle is invalid
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:141)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:962)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)
Caused by: java.lang.ClassCastException: com.rsa.ams.firstbundle.Activator cannot be cast to org.osgi.framework.BundleActivator
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:136)
	... 10 more
Root exception:
java.lang.ClassCastException: com.rsa.ams.firstbundle.Activator cannot be cast to org.osgi.framework.BundleActivator
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:136)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:962)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)

!ENTRY javax.ejb 4 0 2012-10-22 14:07:30.136
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: javax.xml.rpc.handler; version="0.0.0"
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:294)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)

!ENTRY javax.xml.rpc 4 0 2012-10-22 14:07:30.140
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: javax.xml.soap; version="0.0.0", Package uses conflict: Import-Package: javax.xml.soap; version="0.0.0", Missing Constraint: Import-Package: javax.xml.soap; version="0.0.0"
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:294)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:329)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1046)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:573)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:495)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:275)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:455)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:189)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:291)

!ENTRY org.eclipse.osgi 4 0 2012-10-22 14:07:30.146
!MESSAGE Bundle initial@reference:file:../../Users/StromA/workspace/com.rsa.ams.firstbundle/ [27] is not active.

!ENTRY org.eclipse.osgi 4 0 2012-10-22 14:07:30.147
!MESSAGE Bundle initial@reference:file:plugins/org.apache.felix.gogo.command_0.8.0.v201108120515.jar/ was not resolved.

!ENTRY org.eclipse.osgi 4 0 2012-10-22 14:07:30.149
!MESSAGE Bundle initial@reference:file:../../Users/StromA/workspace/org.springframework.osgi.extender/ [19] is not active.

!ENTRY org.eclipse.osgi 4 0 2012-10-22 14:07:30.150
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.osgi.services_3.3.100.v20120522-1822.jar/ was not resolved.

!ENTRY org.eclipse.osgi 4 0 2012-10-22 14:07:30.151
!MESSAGE Bundle initial@reference:file:plugins/javax.ejb_3.0.0.v201203061215.jar/ was not resolved.

!ENTRY org.eclipse.osgi 4 0 2012-10-22 14:07:30.153
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.equinox.common_3.6.100.v20120522-1841.jar/ was not resolved.

!ENTRY org.eclipse.osgi 4 0 2012-10-22 14:07:30.154
!MESSAGE Bundle initial@reference:file:plugins/org.apache.felix.gogo.runtime_0.8.0.v201108120515.jar/ [17] is not active.

!ENTRY org.eclipse.osgi 4 0 2012-10-22 14:07:30.155
!MESSAGE Bundle initial@reference:file:plugins/javax.xml.rpc_1.1.0.v201005080400/ was not resolved.

!ENTRY org.eclipse.osgi 2 0 2012-10-22 14:07:30.204
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-22 14:07:30.205
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.osgi.services_3.3.100.v20120522-1822.jar/ was not resolved.
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.205
!MESSAGE Missing imported package org.osgi.framework_1.6.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-22 14:07:30.205
!MESSAGE Bundle initial@reference:file:plugins/org.apache.felix.gogo.command_0.8.0.v201108120515.jar/ was not resolved.
!SUBENTRY 2 org.apache.felix.gogo.command 2 0 2012-10-22 14:07:30.205
!MESSAGE Missing imported package org.osgi.framework_1.5.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-22 14:07:30.206
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.equinox.common_3.6.100.v20120522-1841.jar/ was not resolved.
!SUBENTRY 2 org.eclipse.equinox.common 2 0 2012-10-22 14:07:30.206
!MESSAGE Missing imported package org.eclipse.equinox.log_[1.0.0,2.0.0).
!SUBENTRY 2 org.eclipse.equinox.common 2 0 2012-10-22 14:07:30.206
!MESSAGE Missing imported package org.eclipse.osgi.framework.log_[1.1.0,2.0.0).

!ENTRY org.eclipse.osgi 2 0 2012-10-22 14:07:30.219
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-22 14:07:30.219
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.osgi.services_3.3.100.v20120522-1822.jar/ [6] was not resolved.
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.219
!MESSAGE Missing imported package javax.microedition.io_0.0.0.
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.219
!MESSAGE Missing imported package org.osgi.framework_1.6.0.
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.220
!MESSAGE Missing imported package org.osgi.service.cm_[1.4.0,1.5.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.220
!MESSAGE Missing imported package org.osgi.service.component_[1.2.0,1.3.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.220
!MESSAGE Missing imported package org.osgi.service.device_[1.1.0,1.2.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.220
!MESSAGE Missing imported package org.osgi.service.event_[1.3.0,1.4.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.221
!MESSAGE Missing imported package org.osgi.service.http_[1.2.1,1.3.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.221
!MESSAGE Missing imported package org.osgi.service.io_[1.0.0,1.1.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.221
!MESSAGE Missing imported package org.osgi.service.log_[1.3.0,1.4.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.221
!MESSAGE Missing imported package org.osgi.service.metatype_[1.2.0,1.3.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.221
!MESSAGE Missing imported package org.osgi.service.provisioning_[1.2.0,1.3.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.222
!MESSAGE Missing imported package org.osgi.service.upnp_[1.2.0,1.3.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.222
!MESSAGE Missing imported package org.osgi.service.useradmin_[1.1.0,1.2.0).
!SUBENTRY 2 org.eclipse.osgi.services 2 0 2012-10-22 14:07:30.222
!MESSAGE Missing imported package org.osgi.service.wireadmin_[1.0.1,1.1.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-22 14:07:30.222
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.equinox.common_3.6.100.v20120522-1841.jar/ [10] was not resolved.
!SUBENTRY 2 org.eclipse.equinox.common 2 0 2012-10-22 14:07:30.223
!MESSAGE Missing imported package org.eclipse.equinox.log_[1.0.0,2.0.0).
!SUBENTRY 2 org.eclipse.equinox.common 2 0 2012-10-22 14:07:30.223
!MESSAGE Missing imported package org.eclipse.osgi.framework.log_[1.1.0,2.0.0).
!SUBENTRY 2 org.eclipse.equinox.common 2 0 2012-10-22 14:07:30.223
!MESSAGE Missing imported package org.osgi.service.log_[1.3.0,2.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-22 14:07:30.223
!MESSAGE Bundle initial@reference:file:plugins/org.apache.felix.gogo.command_0.8.0.v201108120515.jar/ [21] was not resolved.
!SUBENTRY 2 org.apache.felix.gogo.command 2 0 2012-10-22 14:07:30.224
!MESSAGE Missing imported package org.apache.felix.bundlerepository_0.0.0.
!SUBENTRY 2 org.apache.felix.gogo.command 2 0 2012-10-22 14:07:30.224
!MESSAGE Missing imported package org.apache.felix.bundlerepository.*_0.0.0.
!SUBENTRY 2 org.apache.felix.gogo.command 2 0 2012-10-22 14:07:30.224
!MESSAGE Missing imported package org.osgi.framework_1.5.0.
!SUBENTRY 2 org.apache.felix.gogo.command 2 0 2012-10-22 14:07:30.224
!MESSAGE Missing imported package org.osgi.service.log_1.3.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-22 14:07:30.225
!MESSAGE Bundle initial@reference:file:plugins/javax.ejb_3.0.0.v201203061215.jar/ [32] was not resolved.
!SUBENTRY 2 javax.ejb 2 0 2012-10-22 14:07:30.225
!MESSAGE Missing imported package javax.transaction_[1.0.1,2.0.0).
!SUBENTRY 2 javax.ejb 2 0 2012-10-22 14:07:30.225
!MESSAGE Missing imported package javax.xml.rpc.handler_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-22 14:07:30.225
!MESSAGE Bundle initial@reference:file:plugins/javax.xml.rpc_1.1.0.v201005080400/ [38] was not resolved.
!SUBENTRY 2 javax.xml.rpc 2 0 2012-10-22 14:07:30.226
!MESSAGE Missing Constraint: Import-Package: javax.xml.soap; version="0.0.0"
!SUBENTRY 2 javax.xml.rpc 2 0 2012-10-22 14:07:30.226
!MESSAGE Package uses conflict: Import-Package: javax.xml.soap; version="0.0.0"
!SUBENTRY 2 javax.xml.rpc 2 0 2012-10-22 14:07:30.226
!MESSAGE Missing Constraint: Import-Package: javax.xml.soap; version="0.0.0"

Previous Topic:Eclipse doesn't see JMF.
Next Topic:swt jar file for 64 bit windows and 64 bit JVM
Goto Forum:
  


Current Time: Mon Dec 22 15:37:26 GMT 2014

Powered by FUDForum. Page generated in 0.01515 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software